Update teammate production settings
Creates or updates production-specific settings for a lab member. Upserts the settings record, creating one with defaults if it does not exist yet.
Creates or updates production-specific settings for a lab member. Upserts the settings record, creating one with defaults if it does not exist yet.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
memberId*string
Member ID
Length
1 <= lengthResponse Body
application/json
curl -X PUT "https://example.com/production/teammates/mem_123/settings"{ "settings": { "id": "string", "memberId": "string", "dailyUnitCapacity": 0, "accessLevel": "string", "showUnassignedTasks": true, "defaultRoomId": "string", "createdAt": "string", "updatedAt": "string", "property1": null, "property2": null }}Empty
Empty